Bug 122228 - Arabic language needs to be added
Arabic language needs to be added
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
FC3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-02 07:14 EDT by email31124688
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-15 12:13:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description email31124688 2004-05-02 07:14:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1; Linux)

Description of problem:
Arabic has attained a translation of 70% (Anaconda is 100% translated). 35% were done during the past week :-) [And It's even possible to reach 95% or 100% before May 7th]

Arabic is now ranked before many of the translations that will be shipped with FC2.

Please consider adding Arabic installation in FC2. This is vital for all those who did an astounding work the last days in order to make this a reality.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. During installation


Additional info:
Comment 1 Jeremy Katz 2004-05-02 17:33:43 EDT
It's too late to add languages to anaconda at this point.  Adding
languages adds strings which it's too late for and also there would be
no vehicle for actually testing it (I can't really say whether things
look right or not).  Targeting for FC3
Comment 2 Mohamed Eldesoky 2004-05-03 07:49:00 EDT
At least we need to feel that Fedora (and RedHat) are giving more 
attention for Arabic. 
Mandrake released KDE-ar long time ago, while RedHat didn't !!! 
Comment 3 Ossama Khayat 2004-05-08 06:28:56 EDT
I've really spent endless time and effort trying to catch up with
this. We've finished all files, except dist.po which is a really big one.
I saw other translations that are not complete and still are included
(not sure if they are updated to the latest sync) but still ours is not.
This is really important, that at least the latest sync is included
and many many Arabic-speaking people (including me) are eager to _use_
the Arabic interface finally.
Farsi (which is RTL too) is included anyway in the menu of languages,
and it looks great.
If the worry is about the look, I can assure that it's simply
_fantastic_ and usable to many people, specially those who will be
introduced to Arabic and Arabic-like OSs other than Windogz.

Please try your best to include the latest updates in FC2 and not wait
for FC3.. Pleeeeeeeeease ;-)
Comment 4 Ossama Khayat 2004-05-08 19:51:45 EDT
Oh, sorry. The language is Persian not Farsi. Anyway, I installed
FC2T3 today using that language and caught some screenshots so you can
evaluate yourself. They are just perfect!
So, maybe this is a good time to add Arabic too ;)
After all, BUGzilla is using for bugging, isn't it? ;)

Screenshots at: http://www.khayatfamily.net/images/
Comment 5 Sherif Abdelgawad 2004-07-04 10:34:36 EDT
Are we still targeting for FC3 ?
Comment 6 Mohamed Eldesoky 2004-08-31 08:45:49 EDT
Any news ??
Comment 7 Sherif Abdelgawad 2004-08-31 09:36:11 EDT
Mohamed I tried FC3 Test 1 and it has Arabic in it.
Comment 8 Sherif Abdelgawad 2004-09-21 04:59:18 EDT
Jeremy - The Arabic font in Anaconda is wired. I guess this font is 
from Aurdo/Farsi Language. It has similar characters, yet it is 
different in shapes. 

Can we use other font in the installer for Arabic ?

Also, there is no Arabic key map in the installer. 

Can we add keyboard map in the "Select Key map"-Screen ?

Comment 9 Sherif Abdelgawad 2004-09-21 05:01:12 EDT
Forgot to say, I was testing FC3 Test 2
Comment 10 Jeremy Katz 2004-09-21 09:17:54 EDT
If you can suggest specific fonts to add which will improve things
(that we already ship), I can include more files in the installer's
second stage.

As far as the keyboard, please file a separate request against
system-config-keyboard.
Comment 11 Sherif Abdelgawad 2004-09-21 17:07:54 EDT
The default font we ship is KacstQura. So I would say use the same
font which should provide decent rendering of Arabic.

I will file a new bug for the keyboard.
Comment 12 Sherif Abdelgawad 2004-09-21 17:18:30 EDT
Jeremy - If I select Arabic installation on TEXT install , words still
show LTR and letters are not connected. Any comment on this one?
Comment 13 Jeremy Katz 2004-09-21 17:21:11 EDT
Adding the font to CVS.  RTL isn't going to happen for text mode
(there's no real support), so putting Arabic in the "can't do text
mode" category.

Note You need to log in before you can comment on or make changes to this bug.